libstdc++

Classes | Namespaces | Macros
rb_tree_.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::rb_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >
| Red-Black tree.This implementation uses an idea from the SGI STL (using a header node which is needed for efficient iteration). More...

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_RB_TREE_BASE
#define | PB_DS_RB_TREE_BASE_NAME
#define | PB_DS_RB_TREE_NAME
#define | PB_DS_STRUCT_ONLY_ASSERT_VALID(X)

## Detailed Description

Contains an implementation for Red Black trees.

Definition in file rb_tree_.hpp.